AttributeImpl (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class AttributeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AttributeImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, Attribute, OpenAttrs, SimpleValue, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    TopLevelAttributeImpl

      public class AttributeImpl
      extends AnnotatedImpl
      implements Attribute

  An XML attribute(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AttributeImpl.UseImpl` An XML use(@).

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Attribute

      `Attribute.Use`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Attribute

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalSimpleType` | `addNewSimpleType()` Appends and returns a new empty "simpleType" element
    `String` | `getDefault()` Gets the "default" attribute
    `String` | `getFixed()` Gets the "fixed" attribute
    `FormChoice.Enum` | `getForm()` Gets the "form" attribute
    `String` | `getName()` Gets the "name" attribute
    `QName` | `getRef()` Gets the "ref" attribute
    `LocalSimpleType` | `getSimpleType()` Gets the "simpleType" element
    `QName` | `getType()` Gets the "type" attribute
    `Attribute.Use.Enum` | `getUse()` Gets the "use" attribute
    `boolean` | `isSetDefault()` True if has "default" attribute
    `boolean` | `isSetFixed()` True if has "fixed" attribute
    `boolean` | `isSetForm()` True if has "form" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `boolean` | `isSetRef()` True if has "ref" attribute
    `boolean` | `isSetSimpleType()` True if has "simpleType" element
    `boolean` | `isSetType()` True if has "type" attribute
    `boolean` | `isSetUse()` True if has "use" attribute
    `void` | `setDefault(String xdefault)` Sets the "default" attribute
    `void` | `setFixed(String fixed)` Sets the "fixed" attribute
    `void` | `setForm(FormChoice.Enum form)` Sets the "form" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `setRef(QName ref)` Sets the "ref" attribute
    `void` | `setSimpleType(LocalSimpleType simpleType)` Sets the "simpleType" element
    `void` | `setType(QName type)` Sets the "type" attribute
    `void` | `setUse(Attribute.Use.Enum use)` Sets the "use" attribute
    `void` | `unsetDefault()` Unsets the "default" attribute
    `void` | `unsetFixed()` Unsets the "fixed" attribute
    `void` | `unsetForm()` Unsets the "form" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `void` | `unsetRef()` Unsets the "ref" attribute
    `void` | `unsetSimpleType()` Unsets the "simpleType" element
    `void` | `unsetType()` Unsets the "type" attribute
    `void` | `unsetUse()` Unsets the "use" attribute
    `XmlString` | `xgetDefault()` Gets (as xml) the "default" attribute
    `XmlString` | `xgetFixed()` Gets (as xml) the "fixed" attribute
    `FormChoice` | `xgetForm()` Gets (as xml) the "form" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `XmlQName` | `xgetRef()` Gets (as xml) the "ref" attribute
    `XmlQName` | `xgetType()` Gets (as xml) the "type" attribute
    `Attribute.Use` | `xgetUse()` Gets (as xml) the "use" attribute
    `void` | `xsetDefault(XmlString xdefault)` Sets (as xml) the "default" attribute
    `void` | `xsetFixed(XmlString fixed)` Sets (as xml) the "fixed" attribute
    `void` | `xsetForm(FormChoice form)` Sets (as xml) the "form" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute
    `void` | `xsetRef(XmlQName ref)` Sets (as xml) the "ref" attribute
    `void` | `xsetType(XmlQName type)` Sets (as xml) the "type" attribute
    `void` | `xsetUse(Attribute.Use use)` Sets (as xml) the "use" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### AttributeImpl

          public AttributeImpl(SchemaType sType)

  - ### Method Detail

    - #### getSimpleType

          public LocalSimpleType getSimpleType()

      Gets the "simpleType" element
      Specified by:
        `getSimpleType` in interface `Attribute`

    - #### isSetSimpleType

          public boolean isSetSimpleType()

      True if has "simpleType" element
      Specified by:
        `isSetSimpleType` in interface `Attribute`

    - #### setSimpleType

          public void setSimpleType(LocalSimpleType simpleType)

      Sets the "simpleType" element
      Specified by:
        `setSimpleType` in interface `Attribute`

    - #### addNewSimpleType

          public LocalSimpleType addNewSimpleType()

      Appends and returns a new empty "simpleType" element
      Specified by:
        `addNewSimpleType` in interface `Attribute`

    - #### unsetSimpleType

          public void unsetSimpleType()

      Unsets the "simpleType" element
      Specified by:
        `unsetSimpleType` in interface `Attribute`

    - #### getName

          public String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `Attribute`

    - #### xgetName

          public XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `Attribute`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `Attribute`

    - #### setName

          public void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `Attribute`

    - #### xsetName

          public void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `Attribute`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `Attribute`

    - #### getRef

          public QName getRef()

      Gets the "ref" attribute
      Specified by:
        `getRef` in interface `Attribute`

    - #### xgetRef

          public XmlQName xgetRef()

      Gets (as xml) the "ref" attribute
      Specified by:
        `xgetRef` in interface `Attribute`

    - #### isSetRef

          public boolean isSetRef()

      True if has "ref" attribute
      Specified by:
        `isSetRef` in interface `Attribute`

    - #### setRef

          public void setRef(QName ref)

      Sets the "ref" attribute
      Specified by:
        `setRef` in interface `Attribute`

    - #### xsetRef

          public void xsetRef(XmlQName ref)

      Sets (as xml) the "ref" attribute
      Specified by:
        `xsetRef` in interface `Attribute`

    - #### unsetRef

          public void unsetRef()

      Unsets the "ref" attribute
      Specified by:
        `unsetRef` in interface `Attribute`

    - #### getType

          public QName getType()

      Gets the "type" attribute
      Specified by:
        `getType` in interface `Attribute`

    - #### xgetType

          public XmlQName xgetType()

      Gets (as xml) the "type" attribute
      Specified by:
        `xgetType` in interface `Attribute`

    - #### isSetType

          public boolean isSetType()

      True if has "type" attribute
      Specified by:
        `isSetType` in interface `Attribute`

    - #### setType

          public void setType(QName type)

      Sets the "type" attribute
      Specified by:
        `setType` in interface `Attribute`

    - #### xsetType

          public void xsetType(XmlQName type)

      Sets (as xml) the "type" attribute
      Specified by:
        `xsetType` in interface `Attribute`

    - #### unsetType

          public void unsetType()

      Unsets the "type" attribute
      Specified by:
        `unsetType` in interface `Attribute`

    - #### getUse

          public Attribute.Use.Enum getUse()

      Gets the "use" attribute
      Specified by:
        `getUse` in interface `Attribute`

    - #### xgetUse

          public Attribute.Use xgetUse()

      Gets (as xml) the "use" attribute
      Specified by:
        `xgetUse` in interface `Attribute`

    - #### isSetUse

          public boolean isSetUse()

      True if has "use" attribute
      Specified by:
        `isSetUse` in interface `Attribute`

    - #### setUse

          public void setUse(Attribute.Use.Enum use)

      Sets the "use" attribute
      Specified by:
        `setUse` in interface `Attribute`

    - #### xsetUse

          public void xsetUse(Attribute.Use use)

      Sets (as xml) the "use" attribute
      Specified by:
        `xsetUse` in interface `Attribute`

    - #### unsetUse

          public void unsetUse()

      Unsets the "use" attribute
      Specified by:
        `unsetUse` in interface `Attribute`

    - #### getDefault

          public String getDefault()

      Gets the "default" attribute
      Specified by:
        `getDefault` in interface `Attribute`

    - #### xgetDefault

          public XmlString xgetDefault()

      Gets (as xml) the "default" attribute
      Specified by:
        `xgetDefault` in interface `Attribute`

    - #### isSetDefault

          public boolean isSetDefault()

      True if has "default" attribute
      Specified by:
        `isSetDefault` in interface `Attribute`

    - #### setDefault

          public void setDefault(String xdefault)

      Sets the "default" attribute
      Specified by:
        `setDefault` in interface `Attribute`

    - #### xsetDefault

          public void xsetDefault(XmlString xdefault)

      Sets (as xml) the "default" attribute
      Specified by:
        `xsetDefault` in interface `Attribute`

    - #### unsetDefault

          public void unsetDefault()

      Unsets the "default" attribute
      Specified by:
        `unsetDefault` in interface `Attribute`

    - #### getFixed

          public String getFixed()

      Gets the "fixed" attribute
      Specified by:
        `getFixed` in interface `Attribute`

    - #### xgetFixed

          public XmlString xgetFixed()

      Gets (as xml) the "fixed" attribute
      Specified by:
        `xgetFixed` in interface `Attribute`

    - #### isSetFixed

          public boolean isSetFixed()

      True if has "fixed" attribute
      Specified by:
        `isSetFixed` in interface `Attribute`

    - #### setFixed

          public void setFixed(String fixed)

      Sets the "fixed" attribute
      Specified by:
        `setFixed` in interface `Attribute`

    - #### xsetFixed

          public void xsetFixed(XmlString fixed)

      Sets (as xml) the "fixed" attribute
      Specified by:
        `xsetFixed` in interface `Attribute`

    - #### unsetFixed

          public void unsetFixed()

      Unsets the "fixed" attribute
      Specified by:
        `unsetFixed` in interface `Attribute`

    - #### getForm

          public FormChoice.Enum getForm()

      Gets the "form" attribute
      Specified by:
        `getForm` in interface `Attribute`

    - #### xgetForm

          public FormChoice xgetForm()

      Gets (as xml) the "form" attribute
      Specified by:
        `xgetForm` in interface `Attribute`

    - #### isSetForm

          public boolean isSetForm()

      True if has "form" attribute
      Specified by:
        `isSetForm` in interface `Attribute`

    - #### setForm

          public void setForm(FormChoice.Enum form)

      Sets the "form" attribute
      Specified by:
        `setForm` in interface `Attribute`

    - #### xsetForm

          public void xsetForm(FormChoice form)

      Sets (as xml) the "form" attribute
      Specified by:
        `xsetForm` in interface `Attribute`

    - #### unsetForm

          public void unsetForm()

      Unsets the "form" attribute
      Specified by:
        `unsetForm` in interface `Attribute`